import ownerDocument from "dom-helpers/ownerDocument";
import { createEffect, createSignal } from "solid-js";
export const resolveContainerRef = (ref) => {
    if (typeof document === "undefined")
        return null;
    if (ref == null)
        return ownerDocument().body;
    if (typeof ref === "function")
        ref = ref();
    if (ref?.nodeType)
        return ref || null;
    return null;
};
export default function useWaitForDOMRef(props) {
    const [resolvedRef, setRef] = createSignal(resolveContainerRef(props.ref));
    createEffect(() => {
        if (props.onResolved && resolvedRef()) {
            props.onResolved(resolvedRef());
        }
    });
    createEffect(() => {
        const nextRef = resolveContainerRef(props.ref);
        if (nextRef !== resolvedRef()) {
            setRef(nextRef);
        }
    });
    return resolvedRef;
}
